<?php

namespace App\Http\Controllers;

use App\Models\Jurusan;
use Illuminate\Http\Request;

class JurusanController extends Controller
{
    public function index(){
        $jurusan = Jurusan::all();
        $jurusan = Jurusan::paginate(10);
        return view('admin.jurusan.index', compact('jurusan'));
    }

    public function create(){
        return view('admin.jurusan.create');
    }

    public function store(Request $request){
        $request->validate([
            'nama_jurusan' => 'required|string|max:255',
        ]);

        Jurusan::create([
            'nama_jurusan' => $request->nama_jurusan    , // Mengambil nama dari form
        ]);
        return redirect()->route('admin.jurusan.index')->with('success', 'Jurusan berhasil ditambahkan');
    }

    public function edit(Jurusan $jurusan){
        return view('admin.jurusan.edit', compact('jurusan'));
    }

    public function update(Request $request, Jurusan $jurusan){
        $request->validate([
            'nama_jurusan' => 'required|string|max:255',
        ]);

        $jurusan->update([
            'nama_jurusan' => $request->nama_jurusan,
        ]);

        return redirect()->route('admin.jurusan.index')->with('success', 'Jurusan berhasil di update');
    }

    //Menghapus jurusan
    public function destroy(Jurusan $jurusan)
    {
        $jurusan->delete();

        return redirect()->route('admin.jurusan.index')->with('success', 'Jurusan berhasil dihapus');
    }
}
